This clang plugin code generates a JSON file for each compiler input
file. The JSON file contains information about the C++ symbols that
are referenced by the input file. The data is eventually consumed by
Searchfox. See https://github.com/mozsearch/mozsearch for more
information.

This plugin is enabled with the --enable-clang-plugin and
--enable-mozsearch-plugin mozconfig options. The output of the plugin
is stored in $OBJDIR/mozsearch_index.

This code is not a checker, unlike other parts of the Mozilla clang
plugin. It cannot be used with clang-tidy.
